/ comp / gb.qt / fonts
Fonts (gb.qt)
This class is a virtual collection of the names of all font families installed on the system.

Symbols
This class is static.
This class is enumerable with the FOR EACH keyword.

Static properties |
Count |

To get more information about a specific font family, just create a Font object by providing the family name.

In this example we fill a ReadOnly ComboBox with a list of installed Fonts when a form opens.

### Examples

    PUBLIC SUB Form_Open()
      DIM fontName AS String
      ComboBoxFonts.Clear()
      ComboBoxFonts.ReadOnly = TRUE
      ' Fill ReadOnly ComboBox with a list of installed fonts
      FOR EACH fontName IN Fonts
        ComboBoxFonts.Add(fontName)
      NEXT
    END